> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Team



## OpenAPI

````yaml POST /teams
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /teams:
    post:
      tags:
        - teams
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                slug:
                  type: string
                  maxLength: 48
                  description: The desired slug for the Team
                  body:
                    name: slug
                    in: body
                  example: a-random-team
                name:
                  type: string
                  maxLength: 256
                  description: >-
                    The desired name for the Team. It will be generated from the
                    provided slug if nothing is provided
                  body:
                    name: name
                    in: body
                  example: A Random Team
              required:
                - slug
      responses:
        '200':
          description: The team was created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Team'
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
components:
  schemas:
    Team:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type:
            - string
            - 'null'
        avatar:
          type:
            - string
            - 'null'
        createdBy:
          type:
            - number
            - 'null'
        createdAt:
          type: number
        updatedAt:
          type: number
      required:
        - id
        - slug
        - name
        - avatar
        - createdBy
        - createdAt
        - updatedAt
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````